-module(ref_case1v3).

f(Data) -> 
    X = 2,
    Pid = 2008,
    case Data of
        {firstcase, 1} -> 
            X = 1,
            Pid ! {reply, X*Data+2};
        {nextcase, 2} -> 
            X = 2,
            Pid ! {reply, X*Data+2}
    end.
